<?php



session_start();

$getBuscar = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setBuscar = array_map("strip_tags", $getBuscar);

$buscar = array_map("trim", $setBuscar);



$jSon = array();



unset($buscar['action']);



require ('../../../_app/Config.inc.php');

$Update = new Update;

$Upload = new Upload('../../uploads/users/');





if (!isset($_FILES['usuario_avatar']['tmp_name'])):

    $jSon['error'] = ['Selecione uma nova imagem', WS_ALERT];

else:



    $Upload->Image($_FILES['usuario_avatar']);

    $Dados['usuario_avatar'] = $Upload->getResult();



    if ($Upload->getError()):

        $jSon['error'] = ['Erro: ' . $Upload->getError(), WS_ERROR];

    else:

        $_SESSION['userlogin']['usuario_avatar'] = $Upload->getResult();



        $jSon['error'] = ['Imagem alterada com sucesso, atualize a página!', WS_ACCEPT];

        $Update->ExeUpdate("tp_usuarios", $Dados, "WHERE usuario_id = :usuario_id", "usuario_id={$_SESSION['userlogin']['usuario_id']}");

    endif;



endif;





echo json_encode($jSon);

?>

